server {
  listen 443 ssl http2;  listen [::]:443 ssl http2;
  server_name {{.Domain}};

  ssl on;
  ssl_certificate      /etc/letsencrypt/live/{{.Domain}}/fullchain.pem;
  ssl_certificate_key  /etc/letsencrypt/live/{{.Domain}}/privkey.pem;

  ssl_ciphers  HIGH:!aNULL:!MD5;
  ssl_prefer_server_ciphers  on;

  http2_idle_timeout 5m; # up from 3m default
  client_max_body_size 20000M;

  location / {
    proxy_pass http://localhost:{{.InternalPort}}/;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection upgrade;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;
  }
}